Support » Plugin: WooCommerce Product Dependencies » The plugin is not working with learndash

  • Resolved danielgc

    (@danielgc)


    Hello! It seems that this plugin isn’t compatible with learndash, that creates a custom product type… if I select the product as simple, I can see the Dependencies tab, but if I select course, it disappears the tab… is there a workaround?

    thx in advance

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor Jason Kytros

    (@jasonkytros)

    Hey @danielgc,

    Thanks for reaching out!

    Currently, Product Dependencies supports the following product types:
    1. Simple Products.
    2. Variable Products.
    3. Product Bundles.
    4. Composite Products.
    5. Bookable Products.

    On our side, we do not maintain an integration with LearnDash — that’s why you don’t see the Dependencies field for LearnDash products. At the moment, we do not have any plans to add an integration with this plugin — however, if this compatibility request becomes more popular, we will definitely consider looking into this.

    In the meantime, if this is urgent for you, it is a good idea to work with a Developer to help you build this integration. For WordPress/WooCommerce customizations, we highly recommend https://codeable.io/.

    Let me know how this goes!

    Cheers,
    Jason Kytros
    Support Engineer | SomewhereWarm SMPC | https://somewherewarm.com/

    Thread Starter danielgc

    (@danielgc)

    Thx Jason, I appreciate your kind response. I made it work by getting in the developer console in chrome and removing the display:none in the hidden wpd tab, and then adding the product dependency… all worked fine after that (the course sell required previous course as I wanted).

    Best regards.

    Plugin Contributor Jason Kytros

    (@jasonkytros)

    Hey @danielgc,

    I am happy to hear that you found a workaround for this!

    Indeed, on our side we hide the Dependencies tab for all product types except for the core ones as we haven’t tested how Dependencies work with all the available custom product types.

    I am glad that Product Dependencies seem to work well with LearnDash! Feel free to reach out if you have any other questions for our extension!

    Cheers,
    Jason Kytros
    Support Engineer | SomewhereWarm SMPC | https://somewherewarm.com/

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘The plugin is not working with learndash’ is closed to new replies.